pqxx::internal::type_name< TYPE > Struct Template Reference

Give a human-readable name for a type, at compile time. More...

`#include <strconv.hxx>`

## Detailed Description

### template<typename TYPE>
struct pqxx::internal::type_name< TYPE >

Give a human-readable name for a type, at compile time.

Each instantiation contains a static member called `value` which is the type's name, as a string.

This template should not be around for long. C++14's variable templates make it easier (eliminating the cumbersome struct) and C++20's introspection should obviate it completely.

The documentation for this struct was generated from the following file:

- strconv.hxx